Zoom Phone - June 21, 2022

Added

  • Auto Receptionist policy API

    • PATCH /v2/phone/auto_receptionists/{autoReceptionistId}/policies
    • GET /v2/phone/auto_receptionists/{autoReceptionistId}/policies
    • PATCH /v2/phone/auto_receptionists/{autoReceptionistId}/policies/{policyType}
    • DELETE /v2/phone/auto_receptionists/{autoReceptionistId}/policies/{policyType}
    • POST /v2/phone/auto_receptionists/{autoReceptionistId}/policies/{policyType}
  • List plan details API under Settings

    • GET /v2/phone/plans
  • Customized outbound caller ID phone numbers API

    Accounts

    • GET /v2/phone/outbound_caller_id/customized_numbers
    • POST /v2/phone/outbound_caller_id/customized_numbers
    • DELETE /v2/phone/outbound_caller_id/customized_numbers

    Sites

    • GET /v2/phone/sites/{siteId}/outbound_caller_id/customized_numbers
    • POST /v2/phone/sites/{siteId}/outbound_caller_id/customized_numbers
    • DELETE /v2/phone/sites/{siteId}/outbound_caller_id/customized_numbers

    Users

    • GET /v2/phone/users/{userId}/outbound_caller_id/customized_numbers
    • POST /v2/phone/users/{userId}/outbound_caller_id/customized_numbers
    • DELETE /v2/phone/users/{userId}/outbound_caller_id/customized_numbers
  • Site setting API

    • DELETE /v2/phone/sites/{siteId}/settings/{settingType}
  • Call park webhook events

    • phone.caller_parked
    • phone.callee_parked

Enhancements

  • New response fields (timezone, audio_prompt_language, holiday_hours) in List auto receptionists API

    • GET /v2/phone/auto_receptionists
  • New request fields (timezone, audio_prompt_language) in Update auto receptionist details API

    • PATCH /v2/phone/auto_receptionists/{autoReceptionistId}
  • New request fieldminimum_match_criteriain Add an emergency service location API

    • POST /v2/phone/locations
  • New request fieldminimum_match_criteriain Batch add emergency service locations API

    • POST /v2/phone/batch_locations
  • New response fieldminimum_match_criteriain Get emergency service location details API

    • GET /v2/phone/locations/{locationId}
  • New response field (intercom) in Users setting API

    • GET /v2/phone/users/{userId}/settings
  • New request field (intercom) in Users setting API

    • PATCH /v2/phone/users/{userId}/settings/{settingType}
  • New query parameter (intercom_extension_id) in User setting API

    • DELETE /v2/phone/users/{userId}/settings/{settingType}
  • New response field (hold_time) in Call Logs API

    • GET /v2/phone/call_logs
    • GET /v2/phone/call_logs/{callLogId}
    • GET /v2/phone/users/{userId}/call_logs
    • GET /v2/phone/users/{userId}/call_logs/sync
  • Newpolicyobject in Site settings API

    • GET /v2/phone/sites/{siteId}
    • PATCH /v2/phone/sites/{siteId}
  • New response fields (policy.personal_audio_library, policy.voicemail_transcription, policy.voicemail_notification_by_email, policy.shared_voicemail_notification_by_email, policy.check_voicemails_over_phone, policy.audio_intercom) in Get user's profile API

    • GET /v2/phone/users/{userId}
  • New request fields (policy.personal_audio_library, policy.voicemail_transcription, policy.voicemail_notification_by_email, policy.shared_voicemail_notification_by_email, policy.check_voicemails_over_phone, policy.audio_intercom) in Update user's profile API

    • PATCH /v2/phone/users/{userId}
  • New fields (callee.name, caller.name) in the following webhook events:

    • phone.caller_ringing
    • phone.callee_ringing
    • phone.caller_connected
    • phone.callee_answered
  • New field (device_id) in the following webhook events:

    • phone.callee_ringing
    • phone.callee_missed
    • phone.callee_answered
    • phone.callee_rejected
    • phone.callee_ended

Bug Fixes

  • Fixed an issue to support applying the account template to users in Update user's profile API

    • PATCH /v2/phone/users/{userId}
  • Added an error message so the users know when the SMS policy is set without Zoom Phone Metered, Unlimited, or Pro plan in Update user's profile API

    • PATCH /v2/phone/users/{userId}